import request from '@/utils/request'

export function getCertappList(query) {
  return request({
    url: '/project/certapp/',
    method: 'get',
    params: query
  })
}

export function createCertapp(data) {
  return request({
    url: '/project/certapp/',
    method: 'post',
    data
  })
}

export function deleteCertapp(id) {
  return request({
    url: `/project/certapp/${id}/`,
    method: 'delete'
  })
}


export function updateCertapp(id, data) {
  return request({
    url: `/project/certapp/${id}/`,
    method: 'put',
    data
  })
}

export function completeCertapp(id) {
  return request({
    url: `/project/certapp/${id}/complete/`,
    method: 'put',
  })
}

export function reviewCertapp(data) {
  return request({
    url: `/project/certapp/review/`,
    method: 'put',
    data
  })
}


export function getCertapp(id) {
  return request({
    url: `/project/certapp/${id}/`,
    method: 'get',
  })
}
